## ros-indigo-pr2-controller-manager 1.8.16

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_manager)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS cmake_modules pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib rostest)

find_package(Eigen REQUIRED)
find_package(Boost REQUIRED COMPONENTS system thread)

include_directories(
   include 
   ${Boost_INCLUDE_DIRS} 
   ${catkin_INCLUDE_DIRS} 
   ${EIGEN_INCLUDE_DIRS})

catkin_package(
    DEPENDS tinyxml
    CATKIN_DEPENDS pr2_hardware_interface pr2_mechanism_model pr2_mechanism_diagnostics pr2_description pr2_controller_interface pr2_mechanism_msgs diagnostic_msgs sensor_msgs realtime_tools roscpp pluginlib
    INCLUDE_DIRS include
    LIBRARIES pr2_controller_manager
)

add_definitions(-O3)

add_library(pr2_controller_manager src/controller_manager.cpp src/scheduler.cpp)

target_link_libraries(pr2_controller_manager ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(controller_test test/controllers/test_controller.cpp)
pr2_enable_rpath(controller_test)
target_link_libraries(controller_test ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(test_controllers test/test.cpp)
add_executable(test_robot test/robot.cpp)

target_link_libraries(test_robot ${Boost_LIBRARIES} ${PROJECT_NAME} ${catkin_LIBRARIES})

target_link_libraries(test_controllers ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(test/controller_test.launch)

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

install(TARGETS pr2_controller_manager controller_test
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_manager.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES test/controller_plugin.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

=== debian/changelog ===
ros-indigo-pr2-controller-manager (1.8.16-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 16:53:55 -0000

ros-indigo-pr2-controller-manager (1.8.15-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-pr2-controller-manager (1.8.14-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-pr2-controller-manager (1.8.13-0trusty) trusty; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 16 Dec 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-controller-manager
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-diagnostic-msgs, ros-indigo-pluginlib, ros-indigo-pr2-controller-interface, ros-indigo-pr2-description, ros-indigo-pr2-hardware-interface, ros-indigo-pr2-mechanism-diagnostics, ros-indigo-pr2-mechanism-model, ros-indigo-pr2-mechanism-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: http://ros.org/pr2_controller_manager
Standards-Version: 3.9.2

Package: ros-indigo-pr2-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-pluginlib, ros-indigo-pr2-controller-interface, ros-indigo-pr2-description, ros-indigo-pr2-hardware-interface, ros-indigo-pr2-mechanism-diagnostics, ros-indigo-pr2-mechanism-model, ros-indigo-pr2-mechanism-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rosparam, ros-indigo-rospy, ros-indigo-sensor-msgs
Description: The controller manager (CM) package provides the infrastructure to run controllers in a hard realtime loop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-controller-manager//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
